{% extends 'layouts/base.html' %}

{% block title %}
    Listar Autores
{% endblock %}

{% block content %}
    <div class="row">
        <div class="col">
            <h3 class="one">&nbsp;</h3>
        </div>
        <div class="col-autor">
            <a class="btn btn-primary pull-right" href="{% url 'libro:crear_autor' %}">
                <i class="fa fa-add"></i>Crear Autor
            </a>
        </div>
    </div>
    <table class="table">
        <thead>
        <tr>
            <th>ID</th>
            <th>Nombres</th>
            <th>Nacionalidad</th>
            <th>Acciones</th>
        </tr>
        </thead>
        <tbody>
        {% for autor in autores %}
            <tr>
                <td>{{ forloop.counter }}</td>
                <td>{{ autor.nombre }} {{ autor.apellidos }}</td>
                <td>{{ autor.nacionalidad|upper }}</td>
                <td>
                    <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
                        <a href="{% url 'libro:editar_autor' autor.id %}" class="btn btn-warning">
                            <i class="fa fa-edit"></i>
                        </a>
                        <a href="{% url 'libro:eliminar_autor' autor.id %}" class="btn btn-danger">
                            <i class="fa fa-trash"></i>
                        </a>
                    </div>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}